# Fast Calorie
> Single-Page Progressive Web App

There are lots of calorie counting apps out there, and a lot of good ideas, however I thought I could build an app to make entering your calories *even* FASTER.

In most apps, your search for food or drinks by name, or you *try* to scan the barcode, but your often left without finding the exact item you wanted or *none at all*.  **That sucks!** In  **Fast Calorie** searching is based on the calorie count -- AND not just "A" calorie count but calories for the food and drinks you consume -- not 80% of the things you would never touch!

This is YOUR app, your CALORIES, and your DATA!

## Development

Beyond the usefulness of the app, every creation is a chance to explore new technologies, and boldly go where you otherwise fear to tread, because... you know... you would have to support it if it didnt scale!

Building small things with tiny libraries is my joy, and this app is no different.  The corner stone of this development built around [Litedom](https://litedom.js.org/), a very small view library

### Stack

- [Litedom JS](https://litedom.js.org/) - A Tiny View Library
- [Matrialize CSS](https://materializecss.com/) - A Not so Tiny CSS Framework
- [DexieDB] -  A Robust IndexedDB Wrapper
- [Snowpack] - Fontend Build Tool, barily utilized

### Features

- No Build Process Required
- Progressive Web App

## Quick Start


`npm start` Runs the app in the development mode. By default you can open at  http://localhost:8080 in your browser to view. 

Your page will reload if you make edits. You will also see any lint errors in the console.

`npm run build` will build a static copy of your site in the `build/` folder, and thats it --your app is ready to be deployed!

> SEE: [snowpack.dev](https://www.snowpack.dev/) for more options

## Support

Please open [an issue](https://github.com/n2geoff/fast-calorie/issues/new) for support.

## Contributing

Anyone is welcome to contribute, however, if you decide to get involved, please take a moment to review the [guidelines](CONTRIBUTING.md), they're minimalistic;)

## License

[MIT](LICENSE)